Skip to main content
GET
/
sports
List Sports
curl --request GET \
  --url https://v1.football.sportsapipro.com/sports \
  --header 'x-api-key: <api-key>'
{
  "lastUpdateId": 5494749399,
  "requestedUpdateId": -1,
  "ttl": 600,
  "sports": [
    {
      "id": 1,
      "name": "Football",
      "nameForURL": "football",
      "drawSupport": true,
      "imageVersion": 1
    },
    {
      "id": 2,
      "name": "Basketball",
      "nameForURL": "basketball",
      "imageVersion": 1
    },
    {
      "id": 3,
      "name": "Tennis",
      "nameForURL": "tennis",
      "imageVersion": 1
    },
    {
      "id": 4,
      "name": "Hockey",
      "nameForURL": "hockey",
      "imageVersion": 1
    },
    {
      "id": 5,
      "name": "Handball",
      "nameForURL": "handball",
      "drawSupport": true,
      "imageVersion": 1
    },
    {
      "id": 6,
      "name": "A. Football",
      "nameForURL": "a.-football",
      "imageVersion": 1
    },
    {
      "id": 7,
      "name": "Baseball",
      "nameForURL": "baseball",
      "imageVersion": 1
    },
    {
      "id": 8,
      "name": "Volleyball",
      "nameForURL": "volleyball",
      "imageVersion": 1
    },
    {
      "id": 9,
      "name": "Rugby",
      "nameForURL": "rugby",
      "drawSupport": true,
      "imageVersion": 1
    },
    {
      "id": 11,
      "name": "Cricket",
      "nameForURL": "cricket",
      "imageVersion": 1
    }
  ]
}

Overview

Returns a list of all available sports types supported by the API. This endpoint is useful for discovering which sports are available and their corresponding IDs for filtering other endpoints.
The upstream service automatically determines user language, timezone, and country based on request context. You don’t need to specify default values for these parameters—they are resolved automatically.

Request

Query Parameters (Optional Overrides)

appTypeId
number
Application type identifier (auto-resolved)
langId
number
Language identifier (auto-resolved, 1 = English)
timezoneName
string
Timezone for date/time values (auto-resolved, or specify e.g., America/New_York). All date/time fields use ISO 8601 format with a dynamic timezone offset.
userCountryId
number
Country identifier for localization (auto-resolved)

Request Examples

curl -X GET "https://v1.football.sportsapipro.com/sports" \
  -H "x-api-key: YOUR_API_KEY"

Response

{
  "lastUpdateId": 5494749399,
  "requestedUpdateId": -1,
  "ttl": 600,
  "sports": [
    {
      "id": 1,
      "name": "Football",
      "nameForURL": "football",
      "drawSupport": true,
      "imageVersion": 1
    },
    {
      "id": 2,
      "name": "Basketball",
      "nameForURL": "basketball",
      "imageVersion": 1
    },
    {
      "id": 3,
      "name": "Tennis",
      "nameForURL": "tennis",
      "imageVersion": 1
    },
    {
      "id": 4,
      "name": "Hockey",
      "nameForURL": "hockey",
      "imageVersion": 1
    },
    {
      "id": 5,
      "name": "Handball",
      "nameForURL": "handball",
      "drawSupport": true,
      "imageVersion": 1
    },
    {
      "id": 6,
      "name": "A. Football",
      "nameForURL": "a.-football",
      "imageVersion": 1
    },
    {
      "id": 7,
      "name": "Baseball",
      "nameForURL": "baseball",
      "imageVersion": 1
    },
    {
      "id": 8,
      "name": "Volleyball",
      "nameForURL": "volleyball",
      "imageVersion": 1
    },
    {
      "id": 9,
      "name": "Rugby",
      "nameForURL": "rugby",
      "drawSupport": true,
      "imageVersion": 1
    },
    {
      "id": 11,
      "name": "Cricket",
      "nameForURL": "cricket",
      "imageVersion": 1
    }
  ]
}

Response Fields

Root Object

FieldTypeDescription
lastUpdateIdnumberInternal versioning ID for the data, used for caching or incremental updates
requestedUpdateIdnumberThe update ID requested by the client. -1 means “retrieve the latest data”
ttlnumberTime To Live in seconds. Indicates how long the response can be cached (600 = 10 minutes)
sportsarrayArray of available sport objects

Sport Object

FieldTypeDescription
idnumberUnique identifier for the sport. Use this ID to filter other endpoints
namestringDisplay name of the sport
nameForURLstringURL-friendly slug for the sport
drawSupportbooleanWhether the sport supports draw results (optional, present for sports like Football, Rugby)
imageVersionnumberVersion number of the sport’s image asset

Sport IDs Reference

IDSport
1Football (Soccer)
2Basketball
3Tennis
4Hockey
5Handball
6American Football
7Baseball
8Volleyball
9Rugby
11Cricket
1000TV (Where to Watch)
Use these sport IDs with other endpoints like /games/allscores?sports=1 to filter results by sport type. For example, sports=1 returns only Football matches.

Caching

This endpoint has a built-in TTL of 600 seconds (10 minutes). The data rarely changes, so you can safely cache the response on your end for extended periods.

Authorizations

x-api-key
string
header
required

Your SportsAPI Pro API key

Response

200

Sports list retrieved successfully